/*
 *  Copyright (C) 2007 Daniel Bessler <danielb@kiba-dock.org>
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301  USA.
 *
 *  Author : Daniel Bessler <danielb@kiba-dock.org>
 *  Note   : based on a sdl-rendering example from Mirco "MacSlow" Mueller <macslow@bangang.de>
*/

#ifndef _SDL_HELPER_H
#define _SDL_HELPER_H

#include <cairo.h>

void kiba_sdl_init (unsigned long int window,
		    int               iWidth,
		    int               iHeight);

void kiba_sdl_update_surface (int iWidth,
			      int iHeight);

int kiba_sdl_draw_func (unsigned char **pucSurfaceData,
			int             iWidth,
			int             iHeight);

void kiba_sdl_resize_func (int iWidth,
			   int iHeight);

void kiba_sdl_fini ();

#endif /* _SDL_HELPER_H */
